<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'WSExtensibleBooking' => '\\StructType\\WSExtensibleBooking',
            'WSTripList' => '\\StructType\\WSTripList',
            'ArrayOfWSAccount' => '\\ArrayType\\ArrayOfWSAccount',
            'ArrayOfWSTaskInput' => '\\ArrayType\\ArrayOfWSTaskInput',
            'WSFulldayAbsenceBlock' => '\\StructType\\WSFulldayAbsenceBlock',
            'ArrayOfWSLevelIdentification' => '\\ArrayType\\ArrayOfWSLevelIdentification',
            'WSCustomTerminalRecord' => '\\StructType\\WSCustomTerminalRecord',
            'ArrayOfWSBookingPair' => '\\ArrayType\\ArrayOfWSBookingPair',
            'ArrayOfWSExtensibleCustomer' => '\\ArrayType\\ArrayOfWSExtensibleCustomer',
            'ArrayOfWSVehicleStatus' => '\\ArrayType\\ArrayOfWSVehicleStatus',
            'ArrayOfWSGroupMembership' => '\\ArrayType\\ArrayOfWSGroupMembership',
            'ArrayOfWSExtension' => '\\ArrayType\\ArrayOfWSExtension',
            'WSVehicleStatus' => '\\StructType\\WSVehicleStatus',
            'WSGroup' => '\\StructType\\WSGroup',
            'WSWaypoint2' => '\\StructType\\WSWaypoint2',
            'WSGeoPoint' => '\\StructType\\WSGeoPoint',
            'WSTaskAction' => '\\StructType\\WSTaskAction',
            'ArrayOfWSLevelDefinition' => '\\ArrayType\\ArrayOfWSLevelDefinition',
            'WSTerminal' => '\\StructType\\WSTerminal',
            'ArrayOfWSTimestamp' => '\\ArrayType\\ArrayOfWSTimestamp',
            'ArrayOfWSTask' => '\\ArrayType\\ArrayOfWSTask',
            'WSBdeCustomPropertyDefinition' => '\\StructType\\WSBdeCustomPropertyDefinition',
            'ArrayOfWSCalendarEntry' => '\\ArrayType\\ArrayOfWSCalendarEntry',
            'WSExtensibleCustomer' => '\\StructType\\WSExtensibleCustomer',
            'WSExtensibleLevel' => '\\StructType\\WSExtensibleLevel',
            'WSAccountDefinition' => '\\StructType\\WSAccountDefinition',
            'WSLevel' => '\\StructType\\WSLevel',
            'WSTimestamp' => '\\StructType\\WSTimestamp',
            'ArrayOfWSWaypoint2' => '\\ArrayType\\ArrayOfWSWaypoint2',
            'ArrayOfWSExtensibleTerminal' => '\\ArrayType\\ArrayOfWSExtensibleTerminal',
            'WSTaskSearchParams' => '\\StructType\\WSTaskSearchParams',
            'WSBulkAccountCorrection' => '\\StructType\\WSBulkAccountCorrection',
            'ArrayOfWSPerson' => '\\ArrayType\\ArrayOfWSPerson',
            'ArrayOfWSTrip' => '\\ArrayType\\ArrayOfWSTrip',
            'WSTrip2' => '\\StructType\\WSTrip2',
            'ArrayOfWSTimestampedValue' => '\\ArrayType\\ArrayOfWSTimestampedValue',
            'WSAttachedDocument' => '\\StructType\\WSAttachedDocument',
            'ArrayOfWSTrip2' => '\\ArrayType\\ArrayOfWSTrip2',
            'WSExtensiblePerson' => '\\StructType\\WSExtensiblePerson',
            'ArrayOfWSGroup' => '\\ArrayType\\ArrayOfWSGroup',
            'ArrayOfWSExtensiblePerson' => '\\ArrayType\\ArrayOfWSExtensiblePerson',
            'WSAccount' => '\\StructType\\WSAccount',
            'ArrayOfWSExtensibleLevel' => '\\ArrayType\\ArrayOfWSExtensibleLevel',
            'ArrayOfWSFulldayAbsenceBlock' => '\\ArrayType\\ArrayOfWSFulldayAbsenceBlock',
            'WSLinkedDuration' => '\\StructType\\WSLinkedDuration',
            'ArrayOfWSLevel' => '\\ArrayType\\ArrayOfWSLevel',
            'ArrayOfWSAccountDefinition' => '\\ArrayType\\ArrayOfWSAccountDefinition',
            'WSKeyValue' => '\\StructType\\WSKeyValue',
            'ArrayOfWSTripList' => '\\ArrayType\\ArrayOfWSTripList',
            'ArrayOfWSChange' => '\\ArrayType\\ArrayOfWSChange',
            'BasicExtensibleObject' => '\\StructType\\BasicExtensibleObject',
            'WSTaskInput' => '\\StructType\\WSTaskInput',
            'WSExtension' => '\\StructType\\WSExtension',
            'ArrayOfWSBulkAccountCorrection' => '\\ArrayType\\ArrayOfWSBulkAccountCorrection',
            'WSAddress' => '\\StructType\\WSAddress',
            'WSVehicle' => '\\StructType\\WSVehicle',
            'WSChange' => '\\StructType\\WSChange',
            'ArrayOfWSCustomer' => '\\ArrayType\\ArrayOfWSCustomer',
            'WSWaypoint' => '\\StructType\\WSWaypoint',
            'ArrayOfWSVehicle' => '\\ArrayType\\ArrayOfWSVehicle',
            'ArrayOfWSCustomTerminalInfo' => '\\ArrayType\\ArrayOfWSCustomTerminalInfo',
            'ArrayOfWSTaskRecipient' => '\\ArrayType\\ArrayOfWSTaskRecipient',
            'ArrayOfWSLink' => '\\ArrayType\\ArrayOfWSLink',
            'WSCalendarEntry' => '\\StructType\\WSCalendarEntry',
            'WSExtensibleTerminal' => '\\StructType\\WSExtensibleTerminal',
            'WSLevelDefinition' => '\\StructType\\WSLevelDefinition',
            'WSGenericProperty' => '\\StructType\\WSGenericProperty',
            'ArrayOfWSTerminalBooking' => '\\ArrayType\\ArrayOfWSTerminalBooking',
            'WSKeyValueGroup' => '\\StructType\\WSKeyValueGroup',
            'WSBookingPair' => '\\StructType\\WSBookingPair',
            'WSLink' => '\\StructType\\WSLink',
            'ArrayOfWSKeyValue' => '\\ArrayType\\ArrayOfWSKeyValue',
            'WSPerson' => '\\StructType\\WSPerson',
            'ArrayOfWSTerminalBooking2' => '\\ArrayType\\ArrayOfWSTerminalBooking2',
            'ArrayOfWSCustomTerminalRecord' => '\\ArrayType\\ArrayOfWSCustomTerminalRecord',
            'WSTaskRecipient' => '\\StructType\\WSTaskRecipient',
            'WSCustomTerminalInfoBlock' => '\\StructType\\WSCustomTerminalInfoBlock',
            'WSCustomTerminalInfo' => '\\StructType\\WSCustomTerminalInfo',
            'ArrayOfWSProperty' => '\\ArrayType\\ArrayOfWSProperty',
            'WSLevelIdentification' => '\\StructType\\WSLevelIdentification',
            'WSTaskActionResult' => '\\StructType\\WSTaskActionResult',
            'ArrayOfWSExtensibleBooking' => '\\ArrayType\\ArrayOfWSExtensibleBooking',
            'ArrayOfWSPropertyDefinition' => '\\ArrayType\\ArrayOfWSPropertyDefinition',
            'WSForm' => '\\StructType\\WSForm',
            'ArrayOfWSBdeCustomPropertyDefinition' => '\\ArrayType\\ArrayOfWSBdeCustomPropertyDefinition',
            'WSPropertyDefinition' => '\\StructType\\WSPropertyDefinition',
            'WSTerminalBooking2' => '\\StructType\\WSTerminalBooking2',
            'ArrayOfWSCustomTerminalInfoBlock' => '\\ArrayType\\ArrayOfWSCustomTerminalInfoBlock',
            'WSTrip' => '\\StructType\\WSTrip',
            'ArrayOfWSAttachedDocument' => '\\ArrayType\\ArrayOfWSAttachedDocument',
            'ArrayOfWSGenericProperty' => '\\ArrayType\\ArrayOfWSGenericProperty',
            'WSTask' => '\\StructType\\WSTask',
            'WSPosition' => '\\StructType\\WSPosition',
            'ArrayOfWSKeyValueGroup' => '\\ArrayType\\ArrayOfWSKeyValueGroup',
            'ArrayOfWSLinkedDuration' => '\\ArrayType\\ArrayOfWSLinkedDuration',
            'WSProperty' => '\\StructType\\WSProperty',
            'WSTimestampedValue' => '\\StructType\\WSTimestampedValue',
            'WSCustomer' => '\\StructType\\WSCustomer',
            'WSGroupMembership' => '\\StructType\\WSGroupMembership',
            'ArrayOfWSForm' => '\\ArrayType\\ArrayOfWSForm',
            'WSTerminalBooking' => '\\StructType\\WSTerminalBooking',
            'ArrayOfWSEntryDoorExceptionBlock' => '\\ArrayType\\ArrayOfWSEntryDoorExceptionBlock',
            'WSEntryDoor' => '\\StructType\\WSEntryDoor',
            'ArrayOfWSEntryTerminal' => '\\ArrayType\\ArrayOfWSEntryTerminal',
            'ArrayOfWSEntryPeriodTimeBand' => '\\ArrayType\\ArrayOfWSEntryPeriodTimeBand',
            'WSEntryPeriodDefinition' => '\\StructType\\WSEntryPeriodDefinition',
            'ArrayOfWSEntryPeriodDay' => '\\ArrayType\\ArrayOfWSEntryPeriodDay',
            'WSEntryPermission' => '\\StructType\\WSEntryPermission',
            'WSEntryExceptionDay' => '\\StructType\\WSEntryExceptionDay',
            'WSEntryException' => '\\StructType\\WSEntryException',
            'ArrayOfWSEntryDoor' => '\\ArrayType\\ArrayOfWSEntryDoor',
            'ArrayOfWSEntryDoorPermissionBlock' => '\\ArrayType\\ArrayOfWSEntryDoorPermissionBlock',
            'ArrayOfWSEntryPermission' => '\\ArrayType\\ArrayOfWSEntryPermission',
            'WSEntryTerminal' => '\\StructType\\WSEntryTerminal',
            'ArrayOfWSEntryException' => '\\ArrayType\\ArrayOfWSEntryException',
            'WSEntryDoorExceptionBlock' => '\\StructType\\WSEntryDoorExceptionBlock',
            'ArrayOfWSEntryPeriodDefinition' => '\\ArrayType\\ArrayOfWSEntryPeriodDefinition',
            'WSEntryPeriodDay' => '\\StructType\\WSEntryPeriodDay',
            'WSEntryPeriodTimeBand' => '\\StructType\\WSEntryPeriodTimeBand',
            'ArrayOfWSEntryExceptionDay' => '\\ArrayType\\ArrayOfWSEntryExceptionDay',
            'WSEntryDoorPermissionBlock' => '\\StructType\\WSEntryDoorPermissionBlock',
            'ArrayOfString' => '\\ArrayType\\ArrayOfString',
            'ArrayOfLong' => '\\ArrayType\\ArrayOfLong',
            'ArrayOfInt' => '\\ArrayType\\ArrayOfInt',
            'getAllVehicleStatuses' => '\\StructType\\GetAllVehicleStatuses',
            'getAllVehicleStatusesResponse' => '\\StructType\\GetAllVehicleStatusesResponse',
            'setAbsenceBlocksByPersonID' => '\\StructType\\SetAbsenceBlocksByPersonID',
            'setAbsenceBlocksByPersonIDResponse' => '\\StructType\\SetAbsenceBlocksByPersonIDResponse',
            'updateLevel' => '\\StructType\\UpdateLevel',
            'updateLevelResponse' => '\\StructType\\UpdateLevelResponse',
            'findPersonsByTerminal' => '\\StructType\\FindPersonsByTerminal',
            'findPersonsByTerminalResponse' => '\\StructType\\FindPersonsByTerminalResponse',
            'createPersonE' => '\\StructType\\CreatePersonE',
            'createPersonEResponse' => '\\StructType\\CreatePersonEResponse',
            'getLevelsByLevelID2' => '\\StructType\\GetLevelsByLevelID2',
            'getLevelsByLevelID2Response' => '\\StructType\\GetLevelsByLevelID2Response',
            'getTerminalsByTypeE' => '\\StructType\\GetTerminalsByTypeE',
            'getTerminalsByTypeEResponse' => '\\StructType\\GetTerminalsByTypeEResponse',
            'modifyGroupMemberships' => '\\StructType\\ModifyGroupMemberships',
            'modifyGroupMembershipsResponse' => '\\StructType\\ModifyGroupMembershipsResponse',
            'getCustomConfigurationForTerminalNr' => '\\StructType\\GetCustomConfigurationForTerminalNr',
            'getCustomConfigurationForTerminalNrResponse' => '\\StructType\\GetCustomConfigurationForTerminalNrResponse',
            'getGenericProperties' => '\\StructType\\GetGenericProperties',
            'getGenericPropertiesResponse' => '\\StructType\\GetGenericPropertiesResponse',
            'getGroups' => '\\StructType\\GetGroups',
            'getGroupsResponse' => '\\StructType\\GetGroupsResponse',
            'getDeletedBookingIDsByBookingTS' => '\\StructType\\GetDeletedBookingIDsByBookingTS',
            'getDeletedBookingIDsByBookingTSResponse' => '\\StructType\\GetDeletedBookingIDsByBookingTSResponse',
            'createLevelE' => '\\StructType\\CreateLevelE',
            'createLevelEResponse' => '\\StructType\\CreateLevelEResponse',
            'findAccountDefinitionsByTerminal' => '\\StructType\\FindAccountDefinitionsByTerminal',
            'findAccountDefinitionsByTerminalResponse' => '\\StructType\\FindAccountDefinitionsByTerminalResponse',
            'createEntryTerminal' => '\\StructType\\CreateEntryTerminal',
            'createEntryTerminalResponse' => '\\StructType\\CreateEntryTerminalResponse',
            'setAccountDailyCorrectionByPersonDBID' => '\\StructType\\SetAccountDailyCorrectionByPersonDBID',
            'setAccountDailyCorrectionByPersonDBIDResponse' => '\\StructType\\SetAccountDailyCorrectionByPersonDBIDResponse',
            'getAllPropertyDefinitions' => '\\StructType\\GetAllPropertyDefinitions',
            'getAllPropertyDefinitionsResponse' => '\\StructType\\GetAllPropertyDefinitionsResponse',
            'getLockDateByPersonDBID' => '\\StructType\\GetLockDateByPersonDBID',
            'getLockDateByPersonDBIDResponse' => '\\StructType\\GetLockDateByPersonDBIDResponse',
            'modifyTasks' => '\\StructType\\ModifyTasks',
            'modifyTasksResponse' => '\\StructType\\ModifyTasksResponse',
            'findPropertiesByLevelDBID' => '\\StructType\\FindPropertiesByLevelDBID',
            'findPropertiesByLevelDBIDResponse' => '\\StructType\\FindPropertiesByLevelDBIDResponse',
            'updateGroups' => '\\StructType\\UpdateGroups',
            'updateGroupsResponse' => '\\StructType\\UpdateGroupsResponse',
            'createGroup' => '\\StructType\\CreateGroup',
            'createGroupResponse' => '\\StructType\\CreateGroupResponse',
            'getAccountsByPersonDBID' => '\\StructType\\GetAccountsByPersonDBID',
            'getAccountsByPersonDBIDResponse' => '\\StructType\\GetAccountsByPersonDBIDResponse',
            'updateCustomer2' => '\\StructType\\UpdateCustomer2',
            'updateCustomer2Response' => '\\StructType\\UpdateCustomer2Response',
            'getTasksByChangeTS' => '\\StructType\\GetTasksByChangeTS',
            'getTasksByChangeTSResponse' => '\\StructType\\GetTasksByChangeTSResponse',
            'getAllBdeCustomPropertyDefinitions' => '\\StructType\\GetAllBdeCustomPropertyDefinitions',
            'getAllBdeCustomPropertyDefinitionsResponse' => '\\StructType\\GetAllBdeCustomPropertyDefinitionsResponse',
            'createEntryDoor' => '\\StructType\\CreateEntryDoor',
            'createEntryDoorResponse' => '\\StructType\\CreateEntryDoorResponse',
            'getCalendarEntriesByTimeRange' => '\\StructType\\GetCalendarEntriesByTimeRange',
            'getCalendarEntriesByTimeRangeResponse' => '\\StructType\\GetCalendarEntriesByTimeRangeResponse',
            'quickMoveGroupMember' => '\\StructType\\QuickMoveGroupMember',
            'quickMoveGroupMemberResponse' => '\\StructType\\QuickMoveGroupMemberResponse',
            'findCustomerLinksByLocation' => '\\StructType\\FindCustomerLinksByLocation',
            'findCustomerLinksByLocationResponse' => '\\StructType\\FindCustomerLinksByLocationResponse',
            'findPersonsByKeyValueE' => '\\StructType\\FindPersonsByKeyValueE',
            'findPersonsByKeyValueEResponse' => '\\StructType\\FindPersonsByKeyValueEResponse',
            'getLevelsByLevelID' => '\\StructType\\GetLevelsByLevelID',
            'getLevelsByLevelIDResponse' => '\\StructType\\GetLevelsByLevelIDResponse',
            'getChangedForms' => '\\StructType\\GetChangedForms',
            'getChangedFormsResponse' => '\\StructType\\GetChangedFormsResponse',
            'findTripsByPersonDBID' => '\\StructType\\FindTripsByPersonDBID',
            'findTripsByPersonDBIDResponse' => '\\StructType\\FindTripsByPersonDBIDResponse',
            'getTime' => '\\StructType\\GetTime',
            'getTimeResponse' => '\\StructType\\GetTimeResponse',
            'quickAddGroupMember' => '\\StructType\\QuickAddGroupMember',
            'quickAddGroupMemberResponse' => '\\StructType\\QuickAddGroupMemberResponse',
            'setAccountDailyCorrectionByPersonID' => '\\StructType\\SetAccountDailyCorrectionByPersonID',
            'setAccountDailyCorrectionByPersonIDResponse' => '\\StructType\\SetAccountDailyCorrectionByPersonIDResponse',
            'modifyTrip' => '\\StructType\\ModifyTrip',
            'modifyTripResponse' => '\\StructType\\ModifyTripResponse',
            'updateConfigurationTime' => '\\StructType\\UpdateConfigurationTime',
            'updateConfigurationTimeResponse' => '\\StructType\\UpdateConfigurationTimeResponse',
            'findTrips2ByWSLink' => '\\StructType\\FindTrips2ByWSLink',
            'findTrips2ByWSLinkResponse' => '\\StructType\\FindTrips2ByWSLinkResponse',
            'openSession1' => '\\StructType\\OpenSession1',
            'openSession1Response' => '\\StructType\\OpenSession1Response',
            'getFullDayAbsencesByPersonDBID' => '\\StructType\\GetFullDayAbsencesByPersonDBID',
            'getFullDayAbsencesByPersonDBIDResponse' => '\\StructType\\GetFullDayAbsencesByPersonDBIDResponse',
            'deleteFullDayBookings' => '\\StructType\\DeleteFullDayBookings',
            'deleteFullDayBookingsResponse' => '\\StructType\\DeleteFullDayBookingsResponse',
            'invokeScriptedFunction' => '\\StructType\\InvokeScriptedFunction',
            'invokeScriptedFunctionResponse' => '\\StructType\\InvokeScriptedFunctionResponse',
            'getEntryTerminal' => '\\StructType\\GetEntryTerminal',
            'getEntryTerminalResponse' => '\\StructType\\GetEntryTerminalResponse',
            'importTerminalBookings2' => '\\StructType\\ImportTerminalBookings2',
            'importTerminalBookings2Response' => '\\StructType\\ImportTerminalBookings2Response',
            'getDeletedBookingIDs' => '\\StructType\\GetDeletedBookingIDs',
            'getDeletedBookingIDsResponse' => '\\StructType\\GetDeletedBookingIDsResponse',
            'importBarcodeData2' => '\\StructType\\ImportBarcodeData2',
            'importBarcodeData2Response' => '\\StructType\\ImportBarcodeData2Response',
            'setSessionOption' => '\\StructType\\SetSessionOption',
            'setSessionOptionResponse' => '\\StructType\\SetSessionOptionResponse',
            'createCustomer' => '\\StructType\\CreateCustomer',
            'createCustomerResponse' => '\\StructType\\CreateCustomerResponse',
            'getAllAccountDefinitions' => '\\StructType\\GetAllAccountDefinitions',
            'getAllAccountDefinitionsResponse' => '\\StructType\\GetAllAccountDefinitionsResponse',
            'findPropertiesByVehicleDBID' => '\\StructType\\FindPropertiesByVehicleDBID',
            'findPropertiesByVehicleDBIDResponse' => '\\StructType\\FindPropertiesByVehicleDBIDResponse',
            'findLevelsEByCustomer' => '\\StructType\\FindLevelsEByCustomer',
            'findLevelsEByCustomerResponse' => '\\StructType\\FindLevelsEByCustomerResponse',
            'findCustomerByReference' => '\\StructType\\FindCustomerByReference',
            'findCustomerByReferenceResponse' => '\\StructType\\FindCustomerByReferenceResponse',
            'getAccountSumsForAll' => '\\StructType\\GetAccountSumsForAll',
            'getAccountSumsForAllResponse' => '\\StructType\\GetAccountSumsForAllResponse',
            'createPerson' => '\\StructType\\CreatePerson',
            'createPersonResponse' => '\\StructType\\CreatePersonResponse',
            'getPermissionsByDoorDBID' => '\\StructType\\GetPermissionsByDoorDBID',
            'getPermissionsByDoorDBIDResponse' => '\\StructType\\GetPermissionsByDoorDBIDResponse',
            'getAccountSumsByPersonID' => '\\StructType\\GetAccountSumsByPersonID',
            'getAccountSumsByPersonIDResponse' => '\\StructType\\GetAccountSumsByPersonIDResponse',
            'getCustomTerminalInformation' => '\\StructType\\GetCustomTerminalInformation',
            'getCustomTerminalInformationResponse' => '\\StructType\\GetCustomTerminalInformationResponse',
            'refreshSession' => '\\StructType\\RefreshSession',
            'refreshSessionResponse' => '\\StructType\\RefreshSessionResponse',
            'getHoursByLevels' => '\\StructType\\GetHoursByLevels',
            'getHoursByLevelsResponse' => '\\StructType\\GetHoursByLevelsResponse',
            'createGroupMemberShip' => '\\StructType\\CreateGroupMemberShip',
            'createGroupMemberShipResponse' => '\\StructType\\CreateGroupMemberShipResponse',
            'deleteTask' => '\\StructType\\DeleteTask',
            'deleteTaskResponse' => '\\StructType\\DeleteTaskResponse',
            'setAbsenceBlocksByPersonDBID' => '\\StructType\\SetAbsenceBlocksByPersonDBID',
            'setAbsenceBlocksByPersonDBIDResponse' => '\\StructType\\SetAbsenceBlocksByPersonDBIDResponse',
            'bulkSetAccountDailyCorrectionByPersonID' => '\\StructType\\BulkSetAccountDailyCorrectionByPersonID',
            'bulkSetAccountDailyCorrectionByPersonIDResponse' => '\\StructType\\BulkSetAccountDailyCorrectionByPersonIDResponse',
            'getHoursByLevelDBIDs' => '\\StructType\\GetHoursByLevelDBIDs',
            'getHoursByLevelDBIDsResponse' => '\\StructType\\GetHoursByLevelDBIDsResponse',
            'searchTasks' => '\\StructType\\SearchTasks',
            'searchTasksResponse' => '\\StructType\\SearchTasksResponse',
            'findPersonsByTerminalNr' => '\\StructType\\FindPersonsByTerminalNr',
            'findPersonsByTerminalNrResponse' => '\\StructType\\FindPersonsByTerminalNrResponse',
            'clearSessionOption' => '\\StructType\\ClearSessionOption',
            'clearSessionOptionResponse' => '\\StructType\\ClearSessionOptionResponse',
            'updateCommunicationTime' => '\\StructType\\UpdateCommunicationTime',
            'updateCommunicationTimeResponse' => '\\StructType\\UpdateCommunicationTimeResponse',
            'createPersonsE' => '\\StructType\\CreatePersonsE',
            'createPersonsEResponse' => '\\StructType\\CreatePersonsEResponse',
            'updateCustomersE' => '\\StructType\\UpdateCustomersE',
            'updateCustomersEResponse' => '\\StructType\\UpdateCustomersEResponse',
            'createTerminalsE' => '\\StructType\\CreateTerminalsE',
            'createTerminalsEResponse' => '\\StructType\\CreateTerminalsEResponse',
            'getGroupMembershipsForMember' => '\\StructType\\GetGroupMembershipsForMember',
            'getGroupMembershipsForMemberResponse' => '\\StructType\\GetGroupMembershipsForMemberResponse',
            'getAllGroups' => '\\StructType\\GetAllGroups',
            'getAllGroupsResponse' => '\\StructType\\GetAllGroupsResponse',
            'getStartDate' => '\\StructType\\GetStartDate',
            'getStartDateResponse' => '\\StructType\\GetStartDateResponse',
            'createCustomers' => '\\StructType\\CreateCustomers',
            'createCustomersResponse' => '\\StructType\\CreateCustomersResponse',
            'findTripsByPersonID' => '\\StructType\\FindTripsByPersonID',
            'findTripsByPersonIDResponse' => '\\StructType\\FindTripsByPersonIDResponse',
            'getBookingPairsByLevelDBIDs' => '\\StructType\\GetBookingPairsByLevelDBIDs',
            'getBookingPairsByLevelDBIDsResponse' => '\\StructType\\GetBookingPairsByLevelDBIDsResponse',
            'getTrips' => '\\StructType\\GetTrips',
            'getTripsResponse' => '\\StructType\\GetTripsResponse',
            'findVehicleInBounds' => '\\StructType\\FindVehicleInBounds',
            'findVehicleInBoundsResponse' => '\\StructType\\FindVehicleInBoundsResponse',
            'modifyTrips' => '\\StructType\\ModifyTrips',
            'modifyTripsResponse' => '\\StructType\\ModifyTripsResponse',
            'getSessionTimeout' => '\\StructType\\GetSessionTimeout',
            'getSessionTimeoutResponse' => '\\StructType\\GetSessionTimeoutResponse',
            'updateTaskAssignment' => '\\StructType\\UpdateTaskAssignment',
            'updateTaskAssignmentResponse' => '\\StructType\\UpdateTaskAssignmentResponse',
            'findChanges' => '\\StructType\\FindChanges',
            'findChangesResponse' => '\\StructType\\FindChangesResponse',
            'createLevelsE' => '\\StructType\\CreateLevelsE',
            'createLevelsEResponse' => '\\StructType\\CreateLevelsEResponse',
            'getLevelsEByIdentification' => '\\StructType\\GetLevelsEByIdentification',
            'getLevelsEByIdentificationResponse' => '\\StructType\\GetLevelsEByIdentificationResponse',
            'getPersonsWithBookingChangesInRange' => '\\StructType\\GetPersonsWithBookingChangesInRange',
            'getPersonsWithBookingChangesInRangeResponse' => '\\StructType\\GetPersonsWithBookingChangesInRangeResponse',
            'getWaypointsOfVehicle' => '\\StructType\\GetWaypointsOfVehicle',
            'getWaypointsOfVehicleResponse' => '\\StructType\\GetWaypointsOfVehicleResponse',
            'checkBookings' => '\\StructType\\CheckBookings',
            'checkBookingsResponse' => '\\StructType\\CheckBookingsResponse',
            'getAllVehicles' => '\\StructType\\GetAllVehicles',
            'getAllVehiclesResponse' => '\\StructType\\GetAllVehiclesResponse',
            'getAllCustomers' => '\\StructType\\GetAllCustomers',
            'getAllCustomersResponse' => '\\StructType\\GetAllCustomersResponse',
            'getEmployeesE' => '\\StructType\\GetEmployeesE',
            'getEmployeesEResponse' => '\\StructType\\GetEmployeesEResponse',
            'logout' => '\\StructType\\Logout',
            'logoutResponse' => '\\StructType\\LogoutResponse',
            'getChangedBDEBookingPairs' => '\\StructType\\GetChangedBDEBookingPairs',
            'getChangedBDEBookingPairsResponse' => '\\StructType\\GetChangedBDEBookingPairsResponse',
            'setAccountMonthlyCorrectionByPersonDBID' => '\\StructType\\SetAccountMonthlyCorrectionByPersonDBID',
            'setAccountMonthlyCorrectionByPersonDBIDResponse' => '\\StructType\\SetAccountMonthlyCorrectionByPersonDBIDResponse',
            'getFullDayAbsencesByPersonID' => '\\StructType\\GetFullDayAbsencesByPersonID',
            'getFullDayAbsencesByPersonIDResponse' => '\\StructType\\GetFullDayAbsencesByPersonIDResponse',
            'quickDeleteGroupMember' => '\\StructType\\QuickDeleteGroupMember',
            'quickDeleteGroupMemberResponse' => '\\StructType\\QuickDeleteGroupMemberResponse',
            'updateGenericProperties' => '\\StructType\\UpdateGenericProperties',
            'updateGenericPropertiesResponse' => '\\StructType\\UpdateGenericPropertiesResponse',
            'getExceptionsByDoorDBID' => '\\StructType\\GetExceptionsByDoorDBID',
            'getExceptionsByDoorDBIDResponse' => '\\StructType\\GetExceptionsByDoorDBIDResponse',
            'getAccountSumsByPersonID2' => '\\StructType\\GetAccountSumsByPersonID2',
            'getAccountSumsByPersonID2Response' => '\\StructType\\GetAccountSumsByPersonID2Response',
            'modifyEntryDoors' => '\\StructType\\ModifyEntryDoors',
            'modifyEntryDoorsResponse' => '\\StructType\\ModifyEntryDoorsResponse',
            'importBarcodeData' => '\\StructType\\ImportBarcodeData',
            'importBarcodeDataResponse' => '\\StructType\\ImportBarcodeDataResponse',
            'deleteBookings' => '\\StructType\\DeleteBookings',
            'deleteBookingsResponse' => '\\StructType\\DeleteBookingsResponse',
            'getBookingPairsByLevels' => '\\StructType\\GetBookingPairsByLevels',
            'getBookingPairsByLevelsResponse' => '\\StructType\\GetBookingPairsByLevelsResponse',
            'getGroupsByName' => '\\StructType\\GetGroupsByName',
            'getGroupsByNameResponse' => '\\StructType\\GetGroupsByNameResponse',
            'getAttachedDocuments' => '\\StructType\\GetAttachedDocuments',
            'getAttachedDocumentsResponse' => '\\StructType\\GetAttachedDocumentsResponse',
            'findPropertiesByLinkTypeAndDBID' => '\\StructType\\FindPropertiesByLinkTypeAndDBID',
            'findPropertiesByLinkTypeAndDBIDResponse' => '\\StructType\\FindPropertiesByLinkTypeAndDBIDResponse',
            'getAccounts' => '\\StructType\\GetAccounts',
            'getAccountsResponse' => '\\StructType\\GetAccountsResponse',
            'getGroupMemberships' => '\\StructType\\GetGroupMemberships',
            'getGroupMembershipsResponse' => '\\StructType\\GetGroupMembershipsResponse',
            'findCustomersEByReference' => '\\StructType\\FindCustomersEByReference',
            'findCustomersEByReferenceResponse' => '\\StructType\\FindCustomersEByReferenceResponse',
            'getTripsOfVehicle' => '\\StructType\\GetTripsOfVehicle',
            'getTripsOfVehicleResponse' => '\\StructType\\GetTripsOfVehicleResponse',
            'createCustomerE' => '\\StructType\\CreateCustomerE',
            'createCustomerEResponse' => '\\StructType\\CreateCustomerEResponse',
            'getGlobalLockDate' => '\\StructType\\GetGlobalLockDate',
            'getGlobalLockDateResponse' => '\\StructType\\GetGlobalLockDateResponse',
            'createTask' => '\\StructType\\CreateTask',
            'createTaskResponse' => '\\StructType\\CreateTaskResponse',
            'setAccountMonthlyCorrectionByPersonID' => '\\StructType\\SetAccountMonthlyCorrectionByPersonID',
            'setAccountMonthlyCorrectionByPersonIDResponse' => '\\StructType\\SetAccountMonthlyCorrectionByPersonIDResponse',
            'createCustomersE' => '\\StructType\\CreateCustomersE',
            'createCustomersEResponse' => '\\StructType\\CreateCustomersEResponse',
            'getAllEmployees' => '\\StructType\\GetAllEmployees',
            'getAllEmployeesResponse' => '\\StructType\\GetAllEmployeesResponse',
            'getAllTerminalsE' => '\\StructType\\GetAllTerminalsE',
            'getAllTerminalsEResponse' => '\\StructType\\GetAllTerminalsEResponse',
            'updateCustomer' => '\\StructType\\UpdateCustomer',
            'updateCustomerResponse' => '\\StructType\\UpdateCustomerResponse',
            'deleteCustomersByDBID' => '\\StructType\\DeleteCustomersByDBID',
            'deleteCustomersByDBIDResponse' => '\\StructType\\DeleteCustomersByDBIDResponse',
            'getBookingPairs' => '\\StructType\\GetBookingPairs',
            'getBookingPairsResponse' => '\\StructType\\GetBookingPairsResponse',
            'getCheckedBDEBookingPairs2' => '\\StructType\\GetCheckedBDEBookingPairs2',
            'getCheckedBDEBookingPairs2Response' => '\\StructType\\GetCheckedBDEBookingPairs2Response',
            'modifyLevels' => '\\StructType\\ModifyLevels',
            'modifyLevelsResponse' => '\\StructType\\ModifyLevelsResponse',
            'createLevels' => '\\StructType\\CreateLevels',
            'createLevelsResponse' => '\\StructType\\CreateLevelsResponse',
            'modifyEntryTerminals' => '\\StructType\\ModifyEntryTerminals',
            'modifyEntryTerminalsResponse' => '\\StructType\\ModifyEntryTerminalsResponse',
            'login' => '\\StructType\\Login',
            'loginResponse' => '\\StructType\\LoginResponse',
            'deleteCustomersByReference' => '\\StructType\\DeleteCustomersByReference',
            'deleteCustomersByReferenceResponse' => '\\StructType\\DeleteCustomersByReferenceResponse',
            'getBookingPairsByPersonDBID' => '\\StructType\\GetBookingPairsByPersonDBID',
            'getBookingPairsByPersonDBIDResponse' => '\\StructType\\GetBookingPairsByPersonDBIDResponse',
            'createBookingsE' => '\\StructType\\CreateBookingsE',
            'createBookingsEResponse' => '\\StructType\\CreateBookingsEResponse',
            'getBookingPairsByPersonID' => '\\StructType\\GetBookingPairsByPersonID',
            'getBookingPairsByPersonIDResponse' => '\\StructType\\GetBookingPairsByPersonIDResponse',
            'findPropertiesByPersonDBID' => '\\StructType\\FindPropertiesByPersonDBID',
            'findPropertiesByPersonDBIDResponse' => '\\StructType\\FindPropertiesByPersonDBIDResponse',
            'findCustomersByReference' => '\\StructType\\FindCustomersByReference',
            'findCustomersByReferenceResponse' => '\\StructType\\FindCustomersByReferenceResponse',
            'getEntryPeriodDefinitionsById' => '\\StructType\\GetEntryPeriodDefinitionsById',
            'getEntryPeriodDefinitionsByIdResponse' => '\\StructType\\GetEntryPeriodDefinitionsByIdResponse',
            'findPersonsByTerminalE' => '\\StructType\\FindPersonsByTerminalE',
            'findPersonsByTerminalEResponse' => '\\StructType\\FindPersonsByTerminalEResponse',
            'updateLevelsE' => '\\StructType\\UpdateLevelsE',
            'updateLevelsEResponse' => '\\StructType\\UpdateLevelsEResponse',
            'importTerminalBookings' => '\\StructType\\ImportTerminalBookings',
            'importTerminalBookingsResponse' => '\\StructType\\ImportTerminalBookingsResponse',
            'getAllLevelDefinitions' => '\\StructType\\GetAllLevelDefinitions',
            'getAllLevelDefinitionsResponse' => '\\StructType\\GetAllLevelDefinitionsResponse',
            'getAllCustomersE' => '\\StructType\\GetAllCustomersE',
            'getAllCustomersEResponse' => '\\StructType\\GetAllCustomersEResponse',
            'deleteGroup' => '\\StructType\\DeleteGroup',
            'deleteGroupResponse' => '\\StructType\\DeleteGroupResponse',
            'closeSession' => '\\StructType\\CloseSession',
            'closeSessionResponse' => '\\StructType\\CloseSessionResponse',
            'getLevelsEByLevelID' => '\\StructType\\GetLevelsEByLevelID',
            'getLevelsEByLevelIDResponse' => '\\StructType\\GetLevelsEByLevelIDResponse',
            'getCheckedBDEBookingPairs' => '\\StructType\\GetCheckedBDEBookingPairs',
            'getCheckedBDEBookingPairsResponse' => '\\StructType\\GetCheckedBDEBookingPairsResponse',
            'performTaskAction' => '\\StructType\\PerformTaskAction',
            'performTaskActionResponse' => '\\StructType\\PerformTaskActionResponse',
            'getAllEmployeesE' => '\\StructType\\GetAllEmployeesE',
            'getAllEmployeesEResponse' => '\\StructType\\GetAllEmployeesEResponse',
            'deleteAttachedDocuments' => '\\StructType\\DeleteAttachedDocuments',
            'deleteAttachedDocumentsResponse' => '\\StructType\\DeleteAttachedDocumentsResponse',
            'getAccountSums' => '\\StructType\\GetAccountSums',
            'getAccountSumsResponse' => '\\StructType\\GetAccountSumsResponse',
            'getAllPersons' => '\\StructType\\GetAllPersons',
            'getAllPersonsResponse' => '\\StructType\\GetAllPersonsResponse',
            'findAccountDefinitionssByTerminalNr' => '\\StructType\\FindAccountDefinitionssByTerminalNr',
            'findAccountDefinitionssByTerminalNrResponse' => '\\StructType\\FindAccountDefinitionssByTerminalNrResponse',
            'createLevel' => '\\StructType\\CreateLevel',
            'createLevelResponse' => '\\StructType\\CreateLevelResponse',
            'getLockDateByPersonID' => '\\StructType\\GetLockDateByPersonID',
            'getLockDateByPersonIDResponse' => '\\StructType\\GetLockDateByPersonIDResponse',
            'updatePersonsE' => '\\StructType\\UpdatePersonsE',
            'updatePersonsEResponse' => '\\StructType\\UpdatePersonsEResponse',
            'getLevelByIdentification' => '\\StructType\\GetLevelByIdentification',
            'getLevelByIdentificationResponse' => '\\StructType\\GetLevelByIdentificationResponse',
            'getAccountsByPersonID' => '\\StructType\\GetAccountsByPersonID',
            'getAccountsByPersonIDResponse' => '\\StructType\\GetAccountsByPersonIDResponse',
            'getBookingPairsByLevel' => '\\StructType\\GetBookingPairsByLevel',
            'getBookingPairsByLevelResponse' => '\\StructType\\GetBookingPairsByLevelResponse',
            'getTask' => '\\StructType\\GetTask',
            'getTaskResponse' => '\\StructType\\GetTaskResponse',
            'openSession' => '\\StructType\\OpenSession',
            'openSessionResponse' => '\\StructType\\OpenSessionResponse',
            'getLevelsByIdentification' => '\\StructType\\GetLevelsByIdentification',
            'getLevelsByIdentificationResponse' => '\\StructType\\GetLevelsByIdentificationResponse',
            'getTrips2' => '\\StructType\\GetTrips2',
            'getTrips2Response' => '\\StructType\\GetTrips2Response',
            'findCustomersEByLocation' => '\\StructType\\FindCustomersEByLocation',
            'findCustomersEByLocationResponse' => '\\StructType\\FindCustomersEByLocationResponse',
            'ArrayOfWSModificationError' => '\\ArrayType\\ArrayOfWSModificationError',
            'ArrayOfWSGroupMembershipModification' => '\\ArrayType\\ArrayOfWSGroupMembershipModification',
            'ArrayOfWSTaskModification' => '\\ArrayType\\ArrayOfWSTaskModification',
            'WSGroupMembershipModification' => '\\StructType\\WSGroupMembershipModification',
            'WSLevelModification' => '\\StructType\\WSLevelModification',
            'WSTerminalModification' => '\\StructType\\WSTerminalModification',
            'WSTaskModification' => '\\StructType\\WSTaskModification',
            'ArrayOfWSDoorModification' => '\\ArrayType\\ArrayOfWSDoorModification',
            'ArrayOfWSTerminalModification' => '\\ArrayType\\ArrayOfWSTerminalModification',
            'ArrayOfWSModification' => '\\ArrayType\\ArrayOfWSModification',
            'ArrayOfWSLevelModification' => '\\ArrayType\\ArrayOfWSLevelModification',
            'WSDoorModification' => '\\StructType\\WSDoorModification',
            'WSModification' => '\\StructType\\WSModification',
            'WSTripModification' => '\\StructType\\WSTripModification',
            'ArrayOfWSTripModification' => '\\ArrayType\\ArrayOfWSTripModification',
            'WSModificationError' => '\\StructType\\WSModificationError',
        );
    }
}
